﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using Xamarin.Forms;

namespace CollectionViewBug
{
    public class Element
    {
        public static Color FirstColor = Color.FromHex("E3E3E3");
        public static Color SecondColor = Color.FromHex("898989");

        public string Title { get; set; }
        public int Counter { get; set; }
        public string Description { get; set; }

        public Color BgColor => Counter > 0 ? FirstColor : SecondColor;
        public Color TxtColor => Counter > 0 ? SecondColor : FirstColor;
    }

    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public ObservableCollection<Element> Elements { get; set; }

        public MainPage()
        {
            InitializeComponent();
            Elements = new ObservableCollection<Element>
            {
                new Element { Title = "A", Counter = 1, Description = "Title_A" },
                new Element { Title = "B", Counter = 0, Description = "Title_B" },
                new Element { Title = "C", Counter = 5, Description = "Title_C" },
                new Element { Title = "D", Counter = 0, Description = "Title_D" },
                new Element { Title = "E", Counter = 2, Description = "Title_E" },
                new Element { Title = "F", Counter = 0, Description = "Title_F" },
                new Element { Title = "G", Counter = 0, Description = "Title_G" },
                new Element { Title = "H", Counter = 1, Description = "Title_H" }
            };
            BindingContext = this;
        }
    }
}
